### R code from vignette source 'gsmaRt.Rnw'

###################################################
### code chunk number 1: DatagenerationY
###################################################
#######################################
### Generate random expression data ###
#######################################
# Generate random mRNA expression data with 20 mRNAs
# and 10 replicates
Y = rnorm(200);
dim(Y) = c(20,10);
rownames(Y) = 1:20;


###################################################
### code chunk number 2: groups
###################################################
# Lets assume that the corresponding mRNA experiments had the following design:
groups = (c(1,1,1,1,1,2,2,2,2,2));


###################################################
### code chunk number 3: allocation
###################################################
####################
### Perform Test ###
####################
library(gsmaRt)
#Let gene set 1 contain mRNAs 1 to 9 and gene set 2 contain mRNAs 10 to 17.
# Genes 18 to 20 are not contained anywhere. Gene set 3 is empty.
miR = c(rep(1,9),c(rep(2,8)));
mRNAs = 1:17;
A = data.frame(mRNAs,miR); # Note that the gene sets MUST be in the second column!
A


###################################################
### code chunk number 4: analysis
###################################################
set.seed(1)
P = analyse.gsmart(Y,groups,A)
P




